Bug Hunting Session
Bug 79021 - FORMATTING: Crash when using keyboard to select 1st parameter of conditional formatting
Summary: FORMATTING: Crash when using keyboard to select 1st parameter of conditional ...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.1.6.2 release
Hardware: Other All
: high major
Assignee: Caolán McNamara
URL:
Whiteboard: BSA target:4.4.0 target:4.3.0.1 targe...
Keywords: haveBacktrace
Depends on:
Blocks:
 
Reported: 2014-05-21 15:48 UTC by J Carls
Modified: 2014-06-09 16:57 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
bt with symbols (10.94 KB, text/plain)
2014-05-30 21:53 UTC, Julien Nabet
Details
valgrind log (10.21 KB, text/plain)
2014-06-05 14:42 UTC, Caolán McNamara
Details

Note You need to log in before you can comment on or make changes to this bug.
Description J Carls 2014-05-21 15:48:46 UTC
Problem description: 
If you use the keyboard to select "Formula is" from the conditional formatting dialog, all instances of the program shut down without any further messages. File recovery is successful. I discovered this when using a mouse that was a little too sensitive and I kept missing the desired option when I clicked.

Steps to reproduce:
1. Highlight a cell and select Format> Conditional formatting.
2. Click on the dropdown that currently reads "Cell value is"
3. Press "F" to select "Formula is".
4. The selection is highlighted.
5. Crash.

Current behavior:
As above.

Expected behavior:
Highlight stays in place and I tab to the next option.
              
Operating System: Windows XP
Version: 4.1.6.2 release
Comment 1 Firas Hanife 2014-05-27 21:03:02 UTC
Reproduced on openSUSE 13.1 with
4.1.6.2 and 4.2.4.2 and 4.3.0.0.beta1

Steps (I used to crash LibreOffice):

1) Open a new Spreadsheet document
2) Select a cell and Format > Conditional Formatting > Condition...
3) Open the drop-down menu where "Cell value is" is listed
4) Press F

LibreOffice crashes.
Comment 2 Julien Nabet 2014-05-30 21:53:55 UTC
Created attachment 100181 [details]
bt with symbols

On pc Debian x86-64 with master sources updated today, I could reproduce this.
Comment 3 Julien Nabet 2014-05-30 21:55:33 UTC
Caolan: bt shows vcl part, more specifically a Timer problem, one for you?
Comment 4 Caolán McNamara 2014-06-05 14:42:48 UTC
Created attachment 100464 [details]
valgrind log

we delete the list while still processing the keystroke
Comment 5 Commit Notification 2014-06-05 15:42:26 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b0a9f33a9b3018dcfb471641bde7c29a6e62f394

Resolves: fdo#79021 cannot delete ListBox from inside its own Select handler



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2014-06-05 15:44:06 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-4-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=268c4907a04959ca546c5e2ecf469d4d297293b9&h=libreoffice-4-3

Resolves: fdo#79021 cannot delete ListBox from inside its own Select handler


It will be available in LibreOffice 4.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2014-06-09 16:57:17 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=460d2ffa8dd461f41f1fc77596ee0578e8ea6731&h=libreoffice-4-2

Resolves: fdo#79021 cannot delete ListBox from inside its own Select handler


It will be available in LibreOffice 4.2.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.